var data;

data = argument0;

data = string_replace_all(data, "Б─╒", "∙");
data = string_replace_all(data, "б╓", "╓");
data = string_replace_all(data, "б╤", "╤");
data = string_replace_all(data, "б╖", "╖");
data = string_replace_all(data, "б╕", "╕");
data = string_replace_all(data, "ц┤", "г");
data = string_replace_all(data, "ц╪", "Э");
data = string_replace_all(data, "ц╘", "И");
data = string_replace_all(data, "ц╒", "Б");
data = string_replace_all(data, "ц╓", "Д");
data = string_replace_all(data, "ц═", "Ю");
data = string_replace_all(data, "ц╔", "Е");
data = string_replace_all(data, "ц╖", "Г");
data = string_replace_all(data, "ц╙", "Й");
data = string_replace_all(data, "ц╚", "К");
data = string_replace_all(data, "ц╗", "Х");
data = string_replace_all(data, "ц╞", "О");
data = string_replace_all(data, "ц╝", "Н");
data = string_replace_all(data, "ц╛", "Л");
data = string_replace_all(data, "ц┴", "и");
data = string_replace_all(data, "ц╕", "Ф");
data = string_replace_all(data, "ц├", "ф");
data = string_replace_all(data, "ц╢", "Т");
data = string_replace_all(data, "ц╤", "Ж");
data = string_replace_all(data, "ц╡", "Р");
data = string_replace_all(data, "ц╩", "Ш");
data = string_replace_all(data, "ц╧", "Ы");
data = string_replace_all(data, "ц©", "Ъ");
data = string_replace_all(data, "ц√", "ж");
data = string_replace_all(data, "ц°", "э");
data = string_replace_all(data, "б╒", "╒");
data = string_replace_all(data, "бё", "ё");
data = string_replace_all(data, "б╔", "╔");
data = string_replace_all(data, "ф▓", "┐");
data = string_replace_all(data, "ц║", "А");
data = string_replace_all(data, "ц╜", "М");
data = string_replace_all(data, "цЁ", "С");
data = string_replace_all(data, "ц╨", "З");
data = string_replace_all(data, "ц╠", "Я");
data = string_replace_all(data, "ц▒", "я");
data = string_replace_all(data, "б╙", "╙");
data = string_replace_all(data, "б©", "©");
data = string_replace_all(data, "б╛", "╛");
data = string_replace_all(data, "б╫", "╫");
data = string_replace_all(data, "б╪", "╪");
data = string_replace_all(data, "б║", "║");
data = string_replace_all(data, "б╚", "╚");
data = string_replace_all(data, "б╩", "╩");
data = string_replace_all(data, "б╞", "╞");
data = string_replace_all(data, "ц÷", "ъ");
data = string_replace_all(data, "б╣", "╣");
data = string_replace_all(data, "б╠", "╠");
data = string_replace_all(data, "ц╥", "В");
data = string_replace_all(data, "к°", "≤");
data = string_replace_all(data, "б╟", "╟");
data = string_replace_all(data, "б╥", "╥");
data = string_replace_all(data, "Б┌╛", "─");
data = string_replace_all(data, "б│", "│");
data = string_replace_all(data, "Б─·", "└");
data = string_replace_all(data, "Б─╕", "┘");
data = string_replace_all(data, "Б─═", "├");
data = string_replace_all(data, "Б─║", "┤");
data = string_replace_all(data, "к├", "┬");
data = string_replace_all(data, "Б─╟", "┴");
data = string_replace_all(data, "е═", "┼");
data = string_replace_all(data, "Б─╧", "▀");
data = string_replace_all(data, "е▓", "▄");
data = string_replace_all(data, "е╫", "▌");
data = string_replace_all(data, "Б─≤", "▒");
data = string_replace_all(data, "Б─≥", "▓");
data = string_replace_all(data, "Б─°", "⌠");
data = string_replace_all(data, "Б─²", "■");
data = string_replace_all(data, "Б─■", "≈");
data = string_replace_all(data, "Б└╒", "≥");
data = string_replace_all(data, "е║", " ");
data = string_replace_all(data, "Б─╨", "⌡");
data = string_replace_all(data, "е⌠", "°");
data = string_replace_all(data, "е╬", "·");
data = string_replace_all(data, "е╦", "÷");
data = string_replace_all(data, "б╗", "╗");
data = string_replace_all(data, "б╘", "╘");
data = string_replace_all(data, "б╝", "╝");
data = string_replace_all(data, "б╡", "╡");
data = string_replace_all(data, "бЁ", "Ё");
data = string_replace_all(data, "б╢", "╢");
data = string_replace_all(data, "б╦", "╦");
data = string_replace_all(data, "б╧", "╧");
data = string_replace_all(data, "б╬", "╬");
data = string_replace_all(data, "ц─", "ю");
data = string_replace_all(data, "ц│", "а");
data = string_replace_all(data, "ц┌", "б");
data = string_replace_all(data, "ц┐", "ц");
data = string_replace_all(data, "ц└", "д");
data = string_replace_all(data, "ц┘", "е");
data = string_replace_all(data, "ц┬", "х");
data = string_replace_all(data, "ц┼", "й");
data = string_replace_all(data, "ц▀", "к");
data = string_replace_all(data, "ц▄", "л");
data = string_replace_all(data, "ц█", "м");
data = string_replace_all(data, "ц▌", "н");
data = string_replace_all(data, "ц▐", "о");
data = string_replace_all(data, "ц░", "п");
data = string_replace_all(data, "ц▓", "р");
data = string_replace_all(data, "ц⌠", "с");
data = string_replace_all(data, "ц■", "т");
data = string_replace_all(data, "ц∙", "у");
data = string_replace_all(data, "ц≈", "в");
data = string_replace_all(data, "ц≤", "ь");
data = string_replace_all(data, "ц≥", "ы");
data = string_replace_all(data, "ц ", "з");
data = string_replace_all(data, "ц⌡", "ш");
data = string_replace_all(data, "ц²", "щ");
data = string_replace_all(data, "ц·", "ч");
data = string_replace_all(data, "цё", "Ц");
data = string_replace_all(data, "ц╘", "И");
data = string_replace_all(data, "ц╟", "П");
data = string_replace_all(data, "ц╣", "У");
data = string_replace_all(data, "ц╦", "Ь");
data = string_replace_all(data, "ц╫", "Щ");
data = string_replace_all(data, "ц╬", "Ч");

return data;
